Subject: bug#36668: closed (Re: [bug#36668] [PATCH 0/1] Add 'eval/container')

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 19 Jul 2019 09:56:02 +0000

Your bug report

#36668: [PATCH 0/1] Add 'eval/container'

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36668: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36668
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#36668] [PATCH 0/1] Add 'eval/container'
From: Ludovic Courtès <[email-masked]>
To: "Thompson\, David" <[email-masked]>
Cc: [email-masked]
Date: Fri, 19 Jul 2019 11:55:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed!

Ludo’.

Subject: [PATCH 0/1] Add 'eval/container'
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Mon, 15 Jul 2019 16:21:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

This adds ‘eval/container’, which can be used to implement things that
are almost derivation (pure computational processes), but not quite:
processes that produce side effects, that need to access the daemon,
or that need to talk over the network.

It doesn’t have any users currently.  Guix-Jupyter-Kernel will probably
use it (to spawn proxied kernels in isolated environments), and I think
Ricardo had a use case for it in GWL too.

What do people think?

I wonder if we should target ‘run-in-container’ instead of
‘call-with-container’, or maybe both.  It’s also a bit troubling
that ‘eval/container’ returns an exit status instead of the evaluation
result, but I think it has to be this way, more or less.

Ludo’.

Ludovic Courtès (1):
  linux-container: Add 'eval/container'.

 gnu/system/linux-container.scm | 49 ++++++++++++++++++++++++++++++++-
 tests/containers.scm           | 50 ++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+), 1 deletion(-)

-- 
2.22.0